services:
  reverse-proxy:
    image: registry.boomlab.party/rheinsw/demo-websites/openresty
    container_name: demo-nginx-proxy
    ports:
      - "25700:80"
    volumes:
      - ./nginx.conf:/usr/local/openresty/nginx/conf/nginx.conf:ro
      - ./auth.lua:/usr/local/openresty/nginx/conf/auth.lua:ro
    environment:
      - KEYCLOAK_CLIENT_SECRET=${KEYCLOAK_CLIENT_SECRET}
      - KEYCLOAK_LOGOUT_URL=${KEYCLOAK_LOGOUT_URL}
    env_file:
      - .env
    networks:
      - demos-net

  main-website:
    image: registry.boomlab.party/rheinsw/demo-websites/main-website
    container_name: main-website
    ports:
      - "25600:3000"
    restart: on-failure
    networks:
      - demos-net
    environment:
      - NODE_ENV=production

  ld1:
    image: registry.boomlab.party/rheinsw/demo-websites/ld1
    container_name: ld1
    ports:
      - "25601:3000"
    restart: on-failure
    networks:
      - demos-net
    environment:
      - NODE_ENV=production

  ld2:
    image: registry.boomlab.party/rheinsw/demo-websites/ld2
    container_name: ld2
    ports:
      - "25602:3000"
    restart: on-failure
    networks:
      - demos-net
    environment:
      - NODE_ENV=production

networks:
  demos-net:
    driver: bridge
